(function(mui,window,document){
	
	var pageIndex = pageCount = 0;
	var main = null;
	var logContainer = document.getElementById("logContainer");
	
	setTimeout(function(){
		mui.init({
			pullRefresh:{
					container:"#pullContainer",
					up:{
						callback:pullup
					}
				}	
		});
			
	},50);
	
	mui.plusReady(function(){
		main = plus.webview.currentWebview();
		
		pageIndex = 1;
		userService.getAccountLogs(pageIndex,function(data,totalPages){
			
			main.show();
			
			pageCount = totalPages;
			
			if(data && data.length>0){
				var html = template("logTemp",{logs:data});
				logContainer.innerHTML = html;
			}
			else{
				logContainer.style.backgroundColor = "transparent";
				common.emptyData(logContainer,"没有记录，抢抢红包就有了！");
			}
				
			
			setTimeout(function(){
				if(pageCount<=1)
					mui('#pullContainer').pullRefresh().disablePullupToRefresh();	
			},100);
			
			
		});
		
	});
	
	
	var pullup = function(){ 
		pageIndex+=1;
		
		if(pageIndex>pageCount){
			mui('#pullContainer').pullRefresh().endPullupToRefresh(true);
		}
		else{
			userService.getAccountLogs(pageIndex,function(data,totalPages){
				
				mui('#pullContainer').pullRefresh().endPullupToRefresh(false);
				
				if(data && data.length){
					var html = template("logTemp",{logs:data});
					
					common.appendHtml(logContainer,html);
				}
			});
		}
	};
	
})(mui,window,document);
