(function(mui, window, document) {

	var main = null;
	var shares = null;
	var viewId = "";

	mui.init();
	mui.plusReady(function() {

		main = plus.webview.currentWebview();

		setTimeout(function() {
			shares = common.getShareServices();
		}, 10);

	});

	window.addEventListener("setViewIdEvent", function(e) {
		viewId = e.detail.id;
	});

	var ids = [{
			id: "weixin",
			ex: "WXSceneSession"
		}, {
			id: "weixin",
			ex: "WXSceneTimeline"
		}, {
			id: "qq"
		}],
		bts = [{
			title: "发送给微信好友"
		}, {
			title: "分享到微信朋友圈"
		}, {
			title: "分享到QQ"
		}];


	//分享按钮
	mui("#applist").on('tap', ".iconshare", function() {

//		var shareIndex = parseInt(this.getAttribute("data-id"), 10);
//
//		shareApp(shares[ids[shareIndex].id], ids[shareIndex].ex);

		common.showShareServicesMenu(shares, function(share, ex) {
					shareApp(share, ex);
				});

	});

	//退出
	document.getElementById("btnCancel").addEventListener("tap", function() {

		closeMask();

		main.hide("slide-out-bottom", 200);

	});

	function closeMask() {
		var view = plus.webview.getWebviewById(viewId);
		if (view)
			mui.fire(view, "closeMaskEvent");
	}

	//分享app
	function shareApp(share, ex) {

		toolService.getShareConfig(function(data) {
			var msg = {
				extra: {
					scene: ex
				}
			};

			var curUser = common.getUser();

			var appShareConfig = data;

			msg.href = appShareConfig.ShareUrl;
			console.log("分享链接地址：" + msg.href);

			msg.title = "滴滴盒子，抢现金红包神器";
			msg.content = appShareConfig.ShareDes;

			//		if (~share.id.indexOf('weibo')) {
			//			msg.content += "；体验地址：http://www.dcloud.io/hellomui/";
			//		}

			msg.thumbs = [appShareConfig.ShareLogo];
			share.send(msg, function() {
				plus.nativeUI.closeWaiting();
				mui.toast("分享成功 ");
				console.log("分享到\"" + share.description + "\"成功！");


			}, function(e) {
				plus.nativeUI.closeWaiting();
				console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
			});
		});

	}

})(mui, window, document);