(function($) {
    /**
     * @description 获取百度定位信息
     * @param {Function} callback
     */
    function getPosition(callback) {
        try {
            plus.geolocation.getCurrentPosition(function(position) {
            	
            	localStorage.setItem('position',JSON.stringify(position));
            	
                console.log(JSON.stringify(position));
                
                callback(position);

            }, function(e) {
                console.log("获取定位位置信息失败：" + e.message);
                callback(false);
            }, {
                provider: 'baidu'
            });

        } catch (e) {
            callback(false);
            console.error(e.message);
        }
    }
    $.getBaiduPosition = getPosition;
}(mui));