(function(mui,window,document){
	
	var jobId = 0;
	var pageIndex = pageCount = 1;
	var main = null;

	var adContainer = document.getElementById("adContainer");
	var logContainer = document.getElementById("logContainer");
	
	var pullContainer = mui('#pullContainer');
	
	//有下拉的初始化需要延时一下，不知道为什么
	setTimeout(function(){
		mui.init({
			pullRefresh:{
				container:"#pullContainer",
				up:{
					callback:pullup
				}
			}	
		});
	},50);
	 
	mui.plusReady(function(){
		
		main = plus.webview.currentWebview();
		jobId = main.jobId;
		
		jobService.getSimpleJobInfo({jobId:jobId,callback:function(data){
			
			//显示
			main.show();
			//加载广告信息
			var jobInfo = template("adTemplate",data);
			adContainer.innerHTML = jobInfo;
			
			//加载日志
			//加载日志
			jobService.getHongBaoDongTai(jobId,pageIndex,function(logs,totalPages){

				if(logs && logs.length>0){
					
					document.querySelector(".showitem").style.display="block";
					
					pageCount = totalPages;
				
					var logHtml = template("logTemplate",{logs:logs});
					logContainer.innerHTML = logHtml;
					
					setTimeout(function(){
				
						if(pageCount>1)
							pullContainer.pullRefresh().enablePullupToRefresh();
						else
							pullContainer.pullRefresh().disablePullupToRefresh();
					
					},500);
				}
			});
			
		}});
	
	});
	
	//上拉
	var pullup = function(){
		pageIndex+=1;
		
		if(pageIndex>pageCount){
			pullContainer.pullRefresh().endPullupToRefresh(true);
		}
		else{
			
			//加载日志
			jobService.getHongBaoDongTai(jobId,pageIndex,function(logs,totalPages){

				if(logs && logs.length>0){
					
					var logHtml = template("logTemplate",{logs:logs});
					common.appendHtml(logContainer,logHtml);
					
					pullContainer.pullRefresh().endPullupToRefresh(false);
				}
			});
			
		}
		
	};
	
})(mui,window,document);
