(function(mui,window,document){
	
	var main= null;
	var aniShow = null;
	var accountInfo = null;
	var pageIndex = pageCount= 0;
	var accountContainer = document.getElementById("accountContainer");
	
	
	mui.init({});
	
	mui.plusReady(function(){
		
		main = plus.webview.currentWebview();
		aniShow = common.aniShow();
		
		pageIndex =1;
		userService.getUserAccount(function(data){
			
			main.show();
			
			accountInfo = data;
			
			console.log("accountinfo="+JSON.stringify(accountInfo));
			
			var html = template("accountTemplate",data);
			accountContainer.innerHTML = html;
			
			productService.getProducts(pageIndex,function(prodcuts,totalPages){
				pageCount = totalPages;
				
				if(prodcuts && prodcuts.length>0){
	  					
					var imgSetting = common.getImageSize(20);
					var leftBox = imgSetting.width/2 -2; 
					var rightBox = leftBox-1; //-1是因为是右边框
					
					var productlist = document.getElementById("productlist");
					var html = template("productTemplate",{products:prodcuts,leftBox:leftBox,rightBox:rightBox});
					productlist.innerHTML = html;
					productContainer.style.display='block';
					
				}
				
			});
			
		});
		
	});
	
	
	
	//显示账户明细
	document.getElementById("btnAccountLog").addEventListener("tap",function(){
		var layout = common.getLayout();
		
		var data = {id:"myaccountlog",url:"_www/html/myaccountlog.html",title:"账户明细"};
		
		mui.fire(layout,"loadTemplateView",{data:JSON.stringify(data)});
		
		if(layout)
			console.log("layout="+layout.id);
		
		layout.show(aniShow.show,aniShow.time);
	});
	
	//刷新事件
	window.addEventListener("reloadEvent",function(){
		
		userService.getUserAccount(function(data){

			accountInfo = data;
			
			console.log("accountinfo="+JSON.stringify(accountInfo));
			
			var html = template("accountTemplate",data);
			accountContainer.innerHTML = html;

		});
		
	});
	
	//显示商品
	mui("#productContainer").on("tap",".showProduct",function(){
		
		var prdouctId = this.getAttribute("data-productId");
		var title = this.getAttribute("data-title");
		
		var layout = common.getLayout();
		
		var data = {id:"product",url:"html/product.html",title:title,param:{productId:prdouctId}};
		
		mui.fire(layout,"loadTemplateView",{data:JSON.stringify(data)});
		
		layout.show(aniShow.show,aniShow.time);
		
	});
	
	//立即提取
	mui("#accountContainer").on("tap",".goToShareHongBao",function(e){
		e.stopPropagation();
		
		var view = common.getLayout();
		
		var data = {id:"myhongbao",url:"html/myhongbao.html",title:"我的红包"};
			
		mui.fire(view,"loadTemplateView",{data:JSON.stringify(data)});
		view.show(aniShow.show,aniShow.time);
		
		
	});
	
	
	//提现
	mui("#accountContainer").on("tap",".btnTiXian",function(){
		var btn = this;
		var balance = document.querySelector(".balance");
		if(balance){
			var money = parseFloat(balance.innerText);
			if(money>0){
				
				if(!accountInfo.AliPayAccount || accountInfo.AliPayAccount=="")
				{
					//没有设置账号
					var view = plus.webview.create("myaccountsetting.html","myaccountsetting",{popGesture:"hide"},{tixian:true});
					view.show(aniShow.show,aniShow.time);
				}
				else{
					var view = plus.webview.create("tixian.html","tixian",{popGesture:"hide"});
					view.show(aniShow.show,aniShow.time);
				}
			}
			else
				mui.toast("没有余额可提现");
		}
	
	});
	
	
	
})(mui,window,document)
