(function(mui,window,document){
	
	var main = null;
	var tixian = false; 
	
	mui.init();
	mui.plusReady(function(){
		
		main = plus.webview.currentWebview();
		tixian = main.tixian;
		
		
		if(main.update){
			
			userService.getUserAccountSetting(function(data){
				document.getElementById("realName").value = data.RealName;
				document.getElementById("mobile").value = data.Mobile;
				document.getElementById("alipay").value = data.AlipayAccount;
			});
		}
		
	});
	
	//保存
  	document.getElementById("btnSave").addEventListener("tap",function(){
  		var setting = {
  			realName : document.getElementById("realName").value,
  			mobile : document.getElementById("mobile").value,
  			//shouRu : document.getElementById("shouRu").value,
  			alipay : document.getElementById("alipay").value,
  			password : document.getElementById("password").value
  		};
  		
  		if(setting.realName==""){mui.toast("输入真实姓名");return false;}
  		if(setting.realName.length<2){mui.toast("输入正确的真实姓名");return false;}
  		
  		if(setting.mobile==""){mui.toast("输入手机号");return false;}
  		
  		
  		if(validate.isMobile(setting.mobile)==false){
  			mui.toast("手机号误");
  			return false;
  		}
  		
  		if(setting.alipay==""){mui.toast("输入支付宝账号");return false;}
  		if(setting.password==""){mui.toast("输入提现密码");return false;}
  		if( /^\w{6,20}$/.test(setting.password)==false){
  			mui.toast("提现密码6-20位");
  			return false;
  		}
  		
  		userService.updateAccountSetting(setting,function(){
  			
  			if(main.update){
  				mui.toast("保存成功");
  			}
  			else{
  				if(tixian)
	  			{
	  				var aniShow = common.aniShow();
	  				
	  				var view = plus.webview.create("tixian.html","tixian",{popGesture:"hide"});
	  				view.show(aniShow.show,aniShow.time);
	  				
	  				//判断是否需要更新myaccount页
					var myaccountView = plus.webview.getWebviewById("myaccount");
					if(myaccountView)
						mui.fire(myaccountView,"reloadEvent");
	  			}
	  			else
	  				plus.webview.currentWebview().close();
  			}
  			
  		});
  		
  	});
	
})(mui,window,document);
