(function(mui,window,document){

	var main = null;
	var shares = null;
    var pageIndex = pageCount = 1;
    
    var hbContainer = document.getElementById("hbContainer");
	var hblist = document.getElementById("hblist");
	
	//是否显示
	var isShow= false;
	
	setTimeout(function(){
		
		mui.init({
			pullRefresh:{
				container:"#pullContainer",
				down:{
					callback:pulldown
				},
				up:{
					callback:pullup
				}
			}	
		});
	
	},100);
	
	
	mui.plusReady(function(){
	
		main = plus.webview.currentWebview();
	
		userService.getUserHongBao(pageIndex,function(userHongBao,totalPage){
			
			pageCount = totalPage;
			
			if(userHongBao && userHongBao.length>0){
				
				var html = template("hbTemplate",{userHongBao:userHongBao});
				hblist.innerHTML = html;
				hblist.style.display ="block";
				
				setTimeout(function(){
					if (pageCount > 1)
						mui('#pullContainer').pullRefresh().enablePullupToRefresh(); //启用上拉刷新
					else
						mui('#pullContainer').pullRefresh().disablePullupToRefresh()
				},1000);
				
			}
			else{
				
				hbContainer.innerHTML = "";
				common.emptyData(hbContainer,"没有你的红包，快去抢吧");
			}
			
			main.show();
			isShow=true;
			
		});
		
		setTimeout(function(){
  			shares = common.getShareServices();
  		},10);
	
	});
	
	
	//点击红包
  	mui("#hbContainer").on("tap",".hbitem",function(){
  		
  		var jobId = this.getAttribute("data-id");  		
  		
  		var title = this.getAttribute("data-title");
  		var simpleTitle = this.getAttribute("data-simpleTitle");
		var view = plus.webview.create("showhongbao-main.html","showhongbao-main",
			{popGesture:"hide"},
			{
				jobId:jobId,
				title:title,
				simpleTitle:simpleTitle,
				from:"myhongbao"
			});
		
		var aniShow = common.aniShow();
		
  		view.show(aniShow.show,aniShow.time);
  		
  	});
	
	var pulldown = function(){
		
		if(isShow){
			pageIndex=1;
		
			userService.getUserHongBao(pageIndex,
				function(userHongBao,totalPage){
	
					pageCount = totalPage;
					
					if(userHongBao && userHongBao.length>0){
						
						var html = template("hbTemplate",{userHongBao:userHongBao});
						hblist.innerHTML = html;
						hblist.style.display ="block";
					}
					
					resetPullContainer();
	
				},
				function(){
					resetPullContainer();
				}
			);
		}
		else{
			resetPullContainer();
		}
		
	};
	
	//重置下拉控件
	var resetPullContainer = function(){
		//下接数据绑定完成后消失
		mui('#pullContainer').pullRefresh().endPulldownToRefresh(); 
		
		//重置下拉
		mui('#pullContainer').pullRefresh().refresh(true);
	}
	
	var pullup = function(){
		pageIndex++;
		
		userService.getUserHongBao(pageIndex,
			function(userHongBao,hongBaoStatus,totalPage){
			
				if(userHongBao && userHongBao.length>0){
				
					var html = template("hbTemplate",{userHongBao:userHongBao});
					
					common.appendHtml(hblist,html);
				}
				
				setTimeout(function(){
					
					if (pageIndex > pageCount)
							mui('#pullContainer').pullRefresh().endPullupToRefresh(true);
						else 
							mui('#pullContainer').pullRefresh().endPullupToRefresh(false);
					},200);
			},
			function(){
				mui('#pullContainer').pullRefresh().endPullupToRefresh(false);
			}
		);
	};
	
	//提取
	mui("#hblist").on("tap",".shareHongBao",function(e){
		e.stopPropagation();
		
		var hongBaoId = this.getAttribute("data-hongBaoId");
		var jobId = this.getAttribute("data-jobId");
		var hbMoney = this.getAttribute("data-money");
		
  		var ids = [{
			id: "weixin",
			ex: "WXSceneTimeline"
		}],
		bts = [{
			title: "分享到微信朋友圈"
		}];
		
		var wait = plus.nativeUI.showWaiting("请稍候");
		
		setTimeout(function(){
			wait.close();
		},4000);
		
  		var share = shares["weixin"];
		if (share) {
			console.log("share = " + JSON.stringify(share));
			if (share.authenticated) {
				
				shareMessage(share, ids[0].ex,hongBaoId,jobId,hbMoney);
			} else {
				share.authorize(function() {
					
					shareMessage(share, ids[0].ex,hongBaoId,jobId,hbMoney);
				}, function(e) {
					console.log("认证授权失败：" + e.code + " - " + e.message);
					
				});
			}
		} else {

			mui.toast("无法获取分享服务")
		}
		
	});
	
	//分享方法
	var shareMessage = function (share, ex,hongBaoId,jobId,hbMoney) {
		
		jobService.getSimpleJobInfo({jobId:jobId,callback:function(data){
			
			var msg = {extra: {scene: ex}};
			var curUser = common.getUser();
	
			msg.href = "http://www.didibox.cn/go/"+jobId+"/from="+share.id;
			
			console.log("分享链接地址：" + msg.href);
			
			msg.title = data.ShareTitle;
			msg.content = data.ShareContent;
	//		if (~share.id.indexOf('weibo')) {
	//			msg.content += "；体验地址：http://www.dcloud.io/hellomui/";
	//		}
			msg.thumbs = [data.ImageUrl+"!60"];
			
			console.log("分享图片："+data.ImageUrl);
			
			share.send(msg, function() {
				
				plus.nativeUI.closeWaiting();
				
				mui.toast("分享到\"" + share.description + "\"成功！ ");
				console.log("分享到\"" + share.description + "\"成功！ ");
				
				//分享成功
				jobService.ShareSuccess(hongBaoId,function(data){
				
					mui.toast("提取成功，已放入您的钱包中");
					
					document.getElementById("outdate"+hongBaoId).style.display="none";
					document.getElementById("btnShare"+hongBaoId).style.display="none";
					
					//更新menu界面余额
					mui.fire(plus.webview.getWebviewById("mysetting"),"updateLoginStatusEvent");
					mui.fire(plus.webview.getWebviewById("myaccount"),"reloadEvent");
					
				});
				
			}, function(e) {
				plus.nativeUI.closeWaiting();
				console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
			});
		
		}});
	}

})(mui,window,document);
