(function(mui,window,document){
	
	var main = null;
	var pageIndex = pageCount = 0;
	
	var messageContainer = document.getElementById("messageContainer");
	var messageList = document.getElementById("messagelist");
	
	setTimeout(function(){

		mui.init({
			pullRefresh:{
				container:"#pullContainer",
				up:{
					callback:pullup
				}
			}	
		});
	
	},50);
	
	mui.plusReady(function(){
		
		//清除所有角标
	    plus.runtime.setBadgeNumber(0);
	    	
		main = plus.webview.currentWebview();
	
		pageIndex = 1;
		userService.getMessages(pageIndex,function(data,totalPages){
			
			pageCount = totalPages;
			
			main.show();
			
			if(data && data.length>0){
				var html = template("messageTemplate",{messages:data});
				messageList.innerHTML = html;
				
				messageList.style.display= "block";
				
				setTimeout(function(){
					if (pageCount > 1)
						mui('#pullContainer').pullRefresh().enablePullupToRefresh(); //启用上拉刷新
					else
						mui('#pullContainer').pullRefresh().disablePullupToRefresh()
				},1000);
			}
			else
				common.emptyData(messageContainer,"还没有消息，先去抢红包吧");
			
		});
		
	});
	
	var pullup = function(){
		pageIndex+=1;
		
		
		if(pageIndex>pageCount){
			mui('#pullContainer').pullRefresh().endPullupToRefresh(true);
		}
		else{
			
			userService.getMessages(pageIndex,function(data){
			
				mui('#pullContainer').pullRefresh().endPullupToRefresh(false);
			
				if(data && data.length>0){
					var html = template("messageTemplate",{messages:data});

					common.appendHtml(messageList,html);
					
				}
				
			});
		}
	}
	
})(mui,window,document);
