(function(mui,window,document){
	
	var main = null;
	var pageIndex = pageCount = 0;
	var orderContainer = document.getElementById("orderContainer");
	
	mui.init({
		pullRefresh:{
				container:"#pullContainer",
				up:{
					callback:pullup
				}
			}	
	});
	
	mui.plusReady(function(){
		main = plus.webview.currentWebview();
		
		pageIndex=1;
		userService.getUserOrders(pageIndex,function(data,pageCount){
      			
  			main.show();		
  			
  			pageCount = pageCount;
  			
  			if(data && data.length>0)
			{
				var html = template("orderTemplate",{orders:data});
				orderContainer.innerHTML = html;
			}
  			else{
  				orderContainer.style.backgroundColor = "transparent";
  				common.emptyData(orderContainer,"还没有订单订单，先去抢红包吧");
  			}
  			
  		});
		
	});
	
	var pullup = function(){
		pageIndex+=1;
		
		if(pageIndex>pageCount){
			mui('#pullContainer').pullRefresh().endPullupToRefresh(true);
		}
		else{
			userService.getUserOrders(pageIndex,function(data,pageCount){
				pageCount = totalPages;
				
				mui('#pullContainer').pullRefresh().endPullupToRefresh(false);
				
				if(data && data.length){
					var html = template("orderTemplate",{orders:data});
					
					common.appendHtml(orderContainer,html);
				}
			});
		}
	};
	
})(mui,window,document);
