(function(mui, window, document) {

	var jobId = 0;
	var title ="";
	var simpleTitle = "";
	var fromAdInfo = null;
	var mask = mui.createMask();

	var main = null;

	mui.init();
	mui.plusReady(function() {
		
		main = plus.webview.currentWebview();
		
		
		main.addEventListener("show",function(){
			if (mui.os.ios) {
				plus.navigator.setFullscreen(true);
			}
		});
			
		
	});
	
	window.addEventListener("openHongBao", function(e) {
			jobId = e.detail.jobId;
			title = e.detail.title;
			simpleTitle = e.detail.simpleTitle;
			fromAdInfo = e.detail.adInfo;
			document.querySelector(".money").innerText = e.detail.money + "元红包";
			document.querySelector(".simpletitle").innerText = "由 " + simpleTitle + " 提供";
		});
	
	

	//开红包
	document.querySelector(".btnOpen").addEventListener("tap", function() {

		mask.show();

		plus.nativeUI.showWaiting("红包开启中");

		//跳转到qianghongbao页面
		userService.qiangHongBao(jobId, function() {
			//跳转到qianghongbao页面
			var view = plus.webview.create("showhongbao-main.html", "showhongbao-main", {
				popGesture: "hide"
			}, {
				jobId: jobId,
				title:title,
				simpleTitle:simpleTitle
			});

			setTimeout(function() {
				plus.nativeUI.closeWaiting();
				view.show("slide-in-right", 200);

				setTimeout(function() {

					//通知主界面移除抢红包的广告
					mui.fire(plus.webview.getWebviewById("joblist"), "removeQiangHongBao", {jobId: jobId});
					
					mask.close();
					plus.webview.currentWebview().hide();
					
					//如果是从广告详情页过来的 ，则重新加载广告详情页
					if (fromAdInfo)
						mui.fire(plus.webview.getWebviewById("jobinfo"), "reload");

				}, 1200);

			}, 1000);

		});

	});
	
	

	var back = mui.back;
	mui.back = function() {
		if(plus.os.ios)
			plus.navigator.setFullscreen(false);
		main.hide("slide-out-top",250);
	}


})(mui, window, document)