(function(mui,window,document){
	
	
 	var productId = 0;
 	var curProduct = null;
    var productContainer = document.getElementById("productContainer");
	
	var main = null;
	var aniShow = null;
	
	mui.init();
	mui.plusReady(function(){
		
		main = plus.webview.currentWebview();
		aniShow= common.aniShow();
		
		productId = main.productId;
		
		productService.getProductInfo(productId,function(data,data2){
      		
  			if(data)
  			{
  				curProduct = data;
  				var setting = common.getSetting();
  				data.ImageUrl += setting.imageSuffix;
  				
  				var imgSize = common.getImageSize(20);
  				data.ImageWidth = imgSize.width;
  				data.ImageHeight = imgSize.height;
  				
  				data.Balance = data2?true:false;
  				
  				var html = template("productTemplate",data);
      			productContainer.innerHTML = html;
      			
      			main.show();
      			
  			}
  		});
  		
  		//主界面向右拖动，关闭界面,在ios下使用dragright会出现乱闪的情况，ios本身支持则滑关闭
//		if(mui.os.android)
//			window.addEventListener("dragright", mui.back);  
//		
	});
	

	//兑换商品
	mui("#productContainer").on('tap',"#btnBuy",function(){
		
		var pid = this.getAttribute("data-productId");
		
		if(data.HasLogistics)
		{
	  		var view = plus.webview.create("myaddress-main.html","myaddress-main",{popGesture:"hide"},{productId:pid});
	  		view.show(aniShow.show,aniShow.time);
		}
		else{
			var view = plus.webview.create("selectmobile.html","selectmobile",{popGesture:"hide"},{productId:pid});
	  		view.show(aniShow.show,aniShow.time);
		}
	});
	
})(mui,window,document);
