(function(mui,window,document){
	
	var jobId = 0;
	var main = null;
	var shares = null;
	var curHongBao = null;
	var from = null; //从哪个页面过来
	
	var pageIndex = pageCount = 0;
	var setting = curUser=null;
	
	var hbContainer = document.getElementById("hbContainer");
	
	setTimeout(function(){
		mui.init({
			pullRefresh:{
					container:"#pullContainer",
					up:{callback:pullup}
				}	
		});
	},50);
	
	
	mui.plusReady(function(){
		main = plus.webview.currentWebview();
		jobId = main.jobId;
		from = main.from;
		
		setting = common.getSetting();
		curUser = common.getUser();
		
		pageIndex = 1;
		
		getHongBaoInfo();
		
		setTimeout(function() {
			shares = common.getShareServices();
		}, 20);
		
	});
	
	function getHongBaoInfo(){
		userService.showHongBao(jobId,function(data,hongBaoUser,totalPages){
			
			main.show();
			
			pageCount = totalPages;
			
			curHongBao = data;
			
			console.log(JSON.stringify(curHongBao));
			
			//通知主窗体当前广告的分享状态
			mui.fire(plus.webview.getWebviewById("showhongbao-main"),"GetShareStatusEvent",{isShared:curHongBao.IsShare});
			
			data.UserAvatar = curUser.avatar;
  			data.UserName = curUser.userName;
  			
  			data.HongBaoUser = hongBaoUser;
  			
  			var html = template("hbTemplate",data);
  			hbContainer.innerHTML = html;
      			
		});
	}
	
	window.addEventListener("loadHongBaoInfo",function(e){
		jobId = e.detail.jobId;
		from = e.detail.from;
		
		hbContainer.innerHTML = "";
		
		getHongBaoInfo();
		
	});
	
	//上拉
	var pullup = function(){
		pageIndex+=1;
		
		if(pageIndex>pageCount){
			mui('#pullContainer').pullRefresh().endPullupToRefresh(true);
		}
		else{
			jobService.getHongBaoUser(jobId,pageIndex,
				function(data,totalPages){
					//pageCount = totalPages;
					
					mui('#pullContainer').pullRefresh().endPullupToRefresh(false);
					
					if(data && data.length){
						var html = template("userTemplate",{hongBaoUsers:data});
						
						common.appendHtml(document.querySelector(".userlist"),html);
					}
				},
				function(){
					mui('#pullContainer').pullRefresh().endPullupToRefresh(false);
				}
			);
		}
	}
	
	//分享APP
  	mui("#hbContainer").on("tap",".shareApp",function(){
  		common.showShareServicesMenu(shares, function(share, ex) {
			shareApp(share, ex);
		});
  	});
  	
  	//分享app
  	function shareApp(share,ex){
  		
  		toolService.getShareConfig(function(data){
  			var msg = {
				extra: {scene: ex}
			};
			
			var curUser = common.getUser();
			
			var appShareConfig = data;
	
			msg.href = appShareConfig.ShareUrl;
			console.log("分享链接地址：" + msg.href);
			
			msg.title = "滴滴盒子，抢现金红包神器";
			msg.content = "我刚刚在滴滴盒子抢到了"+curHongBao.Money+"元现金红包，一起来抢钱吧";
			
	//		if (~share.id.indexOf('weibo')) {
	//			msg.content += "；体验地址：http://www.dcloud.io/hellomui/";
	//		}
	
			msg.thumbs = [appShareConfig.ShareLogo];
			share.send(msg, function() {
				plus.nativeUI.closeWaiting();
				mui.toast("分享成功 ");
				console.log("分享到\"" + share.description + "\"成功！");
				
	//			showhongbao.ShareSuccess(hongBaoId,function(data){
	//				mui.toast("分享成功，谢谢！");	
	//			})
				
			}, function(e) {
				plus.nativeUI.closeWaiting();
				console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
			});	
  		});
  		
  	}
	
	//提取红包
  	mui("#hbContainer").on("tap",".shareHongBao",function(e){
  		
  		e.stopPropagation();
  		
  		plus.nativeUI.showWaiting();
  		
  		var ids = [{
			id: "weixin",
			ex: "WXSceneTimeline"
		}],
		bts = [{
			title: "分享到微信朋友圈"
		}];
		
		var share = shares["weixin"];
		if (share) {
			
			//之所以延时是为了在跳转时不唐突
			setTimeout(function(){
				plus.nativeUI.closeWaiting();	
			},1000);
			
			console.log("share = " + JSON.stringify(share));
			if (share.authenticated) {
				shareMessage(share, ids[0].ex);
			} else {
				share.authorize(function() {
					shareMessage(share, ids[0].ex);
				}, function(e) {
					plus.nativeUI.closeWaiting();
					console.log("认证授权失败：" + e.code + " - " + e.message);
				});
			}
		} else {
			plus.nativeUI.closeWaiting();
			mui.toast("无法获取分享服务")
		}
  		

  	});
  	 
  	//分享方法
	var shareMessage = function(share, ex) {
		
		jobService.getSimpleJobInfo({jobId:jobId,callback:function(data){
			
			var msg = {extra: {scene: ex}};
			
			var curUser = common.getUser();
	
			msg.href = "http://www.didibox.cn/go/"+jobId+"/"+share.id;
			console.log("分享链接地址：" + msg.href);
			
			msg.title = data.ShareTitle;
			msg.content = data.ShareContent;
			
	//		if (~share.id.indexOf('weibo')) {
	//			msg.content += "；体验地址：http://www.dcloud.io/hellomui/";
	//		}
			msg.thumbs = [data.ImageUrl+"!60"];
			console.log("分享图片："+data.ImageUrl);
			
			share.send(msg, function() {
				plus.nativeUI.closeWaiting();
				mui.toast("分享成功，正在放入钱包 ");
				console.log("分享到\"" + share.description + "\"成功！");
				
				jobService.ShareSuccess(curHongBao.HongBaoId,function(data){
					
					mui.toast("提取成功，已放入您的钱包中");
				
					
					document.querySelector(".shareContainer").innerHTML = '<div class="shareApp">分享好友，一起抢现金红包</div>';				
					
					
					//更改分享状态
					curHongBao.IsShare= true;
					//通知主窗体当前广告的分享状态
					mui.fire(plus.webview.getWebviewById("showhongbao-main"),"GetShareStatusEvent",{isShared:true});
					
					//更新menu界面余额
					mui.fire(plus.webview.getWebviewById("mysetting"),"updateLoginStatusEvent");
					mui.fire(plus.webview.getWebviewById("myaccount"),"reloadEvent");
					
					//更改分享按钮为分享app按钮
					var shareContainer = document.querySelector(".shareContainer");
					shareContainer.innerHTML = '<p class="sharedInfo">已成功提取现金，可直接消费</p><div class="shareApp"><i class="icon iconfont icon-fenxiang"></i>分享好友，一起抢现金红包</div>';
					
					if(from){
						var fromView = plus.webview.getWebviewById(from);
						if(fromView)
							fromView.reload(true);
					}
					
					
				})
				
			}, function(e) {
				plus.nativeUI.closeWaiting();
				console.log("分享到\"" + share.description + "\"失败: " + e.code + " - " + e.message);
			});
			
		}});
		
		
	}

})(mui,window,document);
